# AmbiguousMatch
<span class="source-link">[[Source]](src/options/options.md#L77)</span>
```pony
primitive val AmbiguousMatch
```

## Constructors

### create
<span class="source-link">[[Source]](src/options/options.md#L77)</span>


```pony
new val create()
: AmbiguousMatch val^
```

#### Returns

* [AmbiguousMatch](options-AmbiguousMatch.md) val^

---

## Public Functions

### eq
<span class="source-link">[[Source]](src/options/options.md#L78)</span>


```pony
fun box eq(
  that: AmbiguousMatch val)
: Bool val
```
#### Parameters

*   that: [AmbiguousMatch](options-AmbiguousMatch.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/options/options.md#L78)</span>


```pony
fun box ne(
  that: AmbiguousMatch val)
: Bool val
```
#### Parameters

*   that: [AmbiguousMatch](options-AmbiguousMatch.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

